Manage Multi-item Workflow Content
Manage content in a multi-item workflow without completing an open workflow task. For example, you can use this endpoint to provide verdicts for specific items without completing the task. This endpoint does not support initiating task actions requiring eSignatures (where esignature is true).
/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/mdwmanagecontentHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{task_id} | The task id field value. |
Body Parameters
Section link for Body ParametersControls with required=true in the Retrieve Workflow Task Action Details response can be provided. If a control (such as verdict) defines a set of required fields, those can also be provided. For example, a specific verdict may prompt for comments, reasons, or capacities.
In the body of the request, upload parameters as a JSON file. This request may include the following body parameters:
| Name | Description |
|---|---|
verdict_public_key__cconditional | The verdict name. Retrieve possible verdict name values by sending a request to Retrieve Workflow Task Action Details. |
reason__cconditional | The reason name. Retrieve possible reason name values by sending a request to Retrieve Workflow Task Action Details. |
capacity__cconditional | The capacity name. Retrieve possible capacity name values by sending a request to Retrieve Workflow Task Action Details. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
--data-raw '[
{
"contents__sys": [
{
"object__v": "batch__v",
"record_id__v": "0BA000000000101",
"verdict_public_key__c": "verdict_not_approved__c",
"verdict_not_approved_comment__c": "Needs to be redone."
},
{
"object__v": "batch__v",
"record_id__v": "0BA000000002001",
"verdict_public_key__c": "verdict_approved__c"
},
{
"object__v": "batch__v",
"record_id__v": "0BA000000002002",
"verdict_public_key__c": "verdict_not_approved__c",
"verdict_not_approved_comment__c": "Does not meet standards."
}
]
}
]' \
https://myvault.veevavault.com/api/v26.1/objects/objectworkflows/tasks/9626/actions/mdwmanagecontentResponse
Section link for Response{
"responseStatus": "SUCCESS"
}Response Details
Section link for Response DetailsOn SUCCESS, Vault modifies the contents in the multi-item workflow according to the JSON payload provided. Use Retrieve Workflow Task Action Details to confirm any changes to current_values. You must use Complete Multi-item Workflow Task to complete the open workflow task.